import Vue from 'vue'
import Vuex from 'vuex'
import mutations from './mutations'
import getters from './getters'
import actions from './actions'
import dict from './modules/dict'

Vue.use(Vuex)

const state = {
	userToken: null,
	userInfo: {}
}

export default new Vuex.Store({
  modules: {
    dict
  },
	state,
	getters,
	actions,
	mutations
})
